package com.duben.microtribe.ui.widgets;

import android.app.Dialog;
import android.view.View;
import android.view.View.OnClickListener;

/**
 * 自定义dialog父类监听
 *
 * @author renjl
 */
public abstract class DialogListener implements OnClickListener {
    private Dialog mDialog;

    public DialogListener(Dialog dialog) {
        this.mDialog = dialog;
    }

    public DialogListener() { }

    public void setDialog(Dialog dialog) {
        mDialog = dialog;
    }

    @Override
    public void onClick(View v) {
        onClick(mDialog, v);
    }

    protected void onClick(Dialog dialog, View v) {

    }
}

